package com.backendsys.modules.material.dao;

import com.backendsys.modules.material.entity.Material;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MaterialDao extends BaseMapper<Material> {

    // 获取素材列表
    List<Map<String, Object>> selectMaterialList(Material material);
    // 获取素材详情
    Material selectMaterialDetail(Material material);
    // 创建素材
    int insertMaterial(Material material);
    // 编辑素材
    int updateMaterial(Material material);
    // 删除素材
    int deleteMaterial(Material material);

}
